'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = injectFallbacks;
/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 * 
 */

/*:: import type { CSSStyle } from '../../types';*/
function injectFallbacks(properties /*: CSSStyle*/, fallbacks /*: CSSStyle*/) {
  Object.keys(fallbacks).forEach(function (propName /*: string*/) {
    var prop = properties[propName];
    var fallback = fallbacks[propName];

    if (typeof prop === 'undefined') {
      return;
    }

    properties[propName] = [].concat(fallback, prop);
  });
}